This URL gets the list of malware policies defined in a particular domain.
Resource URL
GET /domain/<domain_id>/malwarepolicyRequest Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domain_id | Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| advancedMalwareListAtDomain | List of malware policies defined in the domain | Array |
Details of object in advancedMalwareListAtDomain:
| Field Name | Description | Data Type |
|---|---|---|
| policyId | Malware policy unique id | Number |
| policyName | Name of the malware policy | String |
| visibleToChild | Is policy visible to child domains | Boolean |
| description | Policy description | String |
| isEditable | Is policy editable | Boolean |
| lastModUser | Last user that modified the policy | String |
| lastModTime | Last time the policy was modified | String |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/domain/0/malwarepolicy
Response
{
"advancedMalwareListAtDomain":
[
{
"policyId": 1,
"policyName": "Default Malware Policy",
"lastModifiedUser": "admin",
"visibleToChild": true,
"isEditable": true,
"lastModifiedTime": "2012-09-13 15:11:21.0"
},
{
"policyId": 301,
"policyName": "Test1",
"description": "Desc1",
"lastModifiedUser": "admin",
"visibleToChild": true,
"isEditable": true,
"lastModifiedTime": "2012-09-13 16:06:06.0"
},
{
"policyId": 302,
"policyName": "Test2",
"description": "Desc2",
"lastModifiedUser": "admin",
"visibleToChild": false,
"isEditable": true,
"lastModifiedTime": "2012-09-13 16:06:14.0"
}
]
}
Error Information
Following error code is returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 1105 | Invalid domain |